<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Funzionamento dei diodi" identificatoreArgomento="esercizio32" prerequisiti="diode,digitalOutput" tags="Base,DigitalInput,DigitalOutput" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" tipoTempo="Ore" versione="2">
    <mdprerequisitelist>funzionamento dei diodi ed in particolare dei LED</mdprerequisitelist>
    <mdprerequisitelist>funzionamento dei pin GPIO</mdprerequisitelist>
    <mdcomponentlist>2 resistori da 220 Ohm</mdcomponentlist>
    <mdcomponentlist>2 diodi LED</mdcomponentlist>
    <mdwhy>Lo stato di INPUT ad alta impedenza, senza resistore di pullUp, può essere utile per accendere o spegnere qualche componente collegato ai GPIO.</mdwhy>
    <mdexpectedresult>I diodi sono componenti polarizzati, collegando i LED come nell'immagine se ne potrà accendere solo uno per volta, in base allo stato del pin digitale.&#13;
Sfruttare i 3 stati (OUTPUT LOW, OUTPUT HIGH, INPUT) per per lampeggiare uno dei LED e lasciare spento l'altro.</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors>L'inversione di polarità dei LED fa funzionare il circuito al contrario.</mdcommonerrors>
    <mdlessonlearned>Se si vuole spegnere un componente alimentato da un GPIO, ma lo stato OUTPUT LOW porta ad un risultato indesiderato, si può sfruttare la modalità INPUT che ha un'alta impedenza, tale da comportarsi da circuito aperto.&#13;
&#13;
N.B. Provando la modalità INPUT_PULLUP con il tester si rileva una tensione, questo potrebbe far pensare che in questo circuito abbia lo stesso effetto dello stato OUTPUT HIGH, ma non è così, data la bassissima corrente la luminosità del LED sarebbe appena percettibile.</mdlessonlearned>
    <mdsolution>Impostando il pin digitale in modalità INPUT i LED rimangono spenti.</mdsolution>
    <mdpbldetails></mdpbldetails>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>2ledstessopin_bb.png</nomeFile>
            <testoDescrittivo>2 led sullo stesso pin su breadboard</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>04-2ledsamepin_schem.png</nomeFile>
            <testoDescrittivo>Schema connessione 2 led sullo stesso pin</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
</itemFormativoEsercizio>
